buildscript {
    repositories {
        jcenter()
    }
}
apply plugin: 'com.android.library'

android {

    defaultConfig {
        minSdkVersion 23
        targetSdkVersion 35
        compileSdk 34
        //abvEnvironments
        resValue("string", "acms_address", "${acms_address}")
        resValue("string", "download_server_address", "${download_server_address}")
        resValue("string", "websocket_server_http_url", "${websocket_server_http_url}")
        resValue("string", "websocket_server_ws_url", "${websocket_server_ws_url}")
        resValue("bool", "websocket_debug", "${websocket_debug}")
        resValue("string", "google_public_key1", "${google_public_key1}")
        resValue("string", "google_public_key2", "${google_public_key2}")
        resValue("string", "google_public_key3", "${google_public_key3}")
        resValue("string", "app_name", "${app_name}")
        resValue("bool", "keep_screen", "${keep_screen}")
        resValue("string", "scheme_url", "${scheme_url}")
        resValue("bool", "store_version", "${store_version}")
        resValue("integer", "product_code", "${product_code}")
        resValue("bool", "use_cache", "${use_cache}")
        resValue("integer", "cache_size", "${cache_size}")
        resValue("bool", "content_protected", "${content_protected}")
        resValue("bool", "pdf_thumbnail_output", "${pdf_thumbnail_output}")
        resValue("bool", "pdf_image_output", "${pdf_image_output}")
        resValue("integer", "content_refresh_interval", "${content_refresh_interval}")
        resValue("integer", "meeting_reenter_alert", "${meeting_reenter_alert}")
        resValue("integer", "min_page_log_second", "${min_page_log_second}")
        resValue("bool", "follow_service_option", "${follow_service_option}")
        resValue("bool", "is_check_invalid_passward_limit", "${is_check_invalid_passward_limit}")
        resValue("bool", "repeat_default", "${repeat_default}")
        resValue("string", "version_name", "${version_name}")
        resValue("string", "release_date", "${release_date}")
        resValue("string", "copy_right", "${copy_right}")
        resValue("string", "hope_page", "${hope_page}")
        resValue("string", "contact_email", "${contact_email}")
        resValue("integer", "log_level", "${log_level}")
        resValue("string", "default_log_name", "${default_log_name}")
        resValue("integer", "error_report_flg", "${error_report_flg}")
        resValue("string", "error_report_email", "${error_report_email}")
        resValue("integer", "app_log_retention", "${app_log_retention}")
        resValue("bool", "hprof", "${hprof}")
        resValue("string", "repository_fqdn", "${repository_fqdn}")

        //abvFunctionOptions
        resValue("integer", "login_mode", "${login_mode}")
        resValue("string", "account_path", "${account_path}")
        resValue("integer", "push_message", "${push_message}")
        resValue("integer", "check_app_update", "${check_app_update}")
        resValue("integer", "not_delete_all_contents", "${not_delete_all_contents}")
    }
    sourceSets {
        main {
            manifest.srcFile './AndroidManifest.xml'
            java.srcDir './src'
            resources.srcDir './res'
            res.srcDir 'res'
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
}
